package util.sqlparse.visitor.es.visitor;

import com.alibaba.druid.sql.dialect.es.ast.EsParser;
import com.alibaba.druid.sql.dialect.es.ast.EsParserBaseVisitor;
import java.util.ArrayList;
import java.util.List;

public class WhereVisitor extends EsParserBaseVisitor<Boolean> {
   List<String> wheres = new ArrayList();

   public List<String> getWheres() {
      return this.wheres;
   }

   public Boolean visitStatement(EsParser.StatementContext ctx) {
      return (Boolean)this.visitChildren(ctx);
   }

   public Boolean visitQueryFilter(EsParser.QueryFilterContext ctx) {
      this.wheres.add(ctx.toString());
      return true;
   }
}
